gr::radar::qtgui_time_plot Class Reference

This block displays a plot of a value with a given interval in milliseconds. label_y represents the identifier (symbol) of the data. The y axis is scaled with axis_y. range_time gives the shown range of the x axis in seconds. label is an additional label for the title. More...

`#include <qtgui_time_plot.h>`

Inheritance diagram for gr::radar::qtgui_time_plot:

## Public Types

typedef std::shared_ptr< qtgui_time_plot > | sptr

## Static Public Member Functions

static sptr | make (int interval, std::string label_y, std::vector< float > axis_y, float range_time, std::string label="")
| Return a shared_ptr to a new instance of radar::qtgui_time_plot.

## Detailed Description

This block displays a plot of a value with a given interval in milliseconds. label_y represents the identifier (symbol) of the data. The y axis is scaled with axis_y. range_time gives the shown range of the x axis in seconds. label is an additional label for the title.

Parameters

  interval | Update interval in milliseconds
  label_y | Lable for y axis and identifier (symbol) for data
  axis_y | Display range y axis
  range_time | Display range for x axis in seconds
  label | Additional label for the title

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<qtgui_time_plot> gr::radar::qtgui_time_plot::sptr

## Member Function Documentation

## make()

sptr gr::radar::qtgui_time_plot::make | ( | int | interval,
|  | std::string | label_y,
|  | std::vector< float > | axis_y,
|  | float | range_time,
|  | std::string | label = "" )

static

Return a shared_ptr to a new instance of radar::qtgui_time_plot.

To avoid accidental use of raw pointers, radar::qtgui_time_plot's constructor is in a private implementation class. radar::qtgui_time_plot::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- qtgui_time_plot.h